Thread (1 message) 1 message, 1 author, 2017-11-13

Re: [PATCH] bisect run: die if no command is given

From: Junio C Hamano <hidden>
Date: 2017-11-13 03:59:34

Stephan Beyer [off-list ref] writes:
It was possible to invoke "git bisect run" without any command.
This considers all commits as good commits since "$@"'s return
value for empty $@ is 0.

This is most probably not what a user wants (otherwise she would
invoke "git bisect run true"), so not providing a command now
results in an error.

Signed-off-by: Stephan Beyer <redacted>
---
Makes sense to me.  Thanks, will queue.
quoted hunk
 git-bisect.sh | 2 ++
 1 file changed, 2 insertions(+)
diff --git a/git-bisect.sh b/git-bisect.sh
index 0138a8860..a69e43656 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -450,6 +450,8 @@ bisect_replay () {
 bisect_run () {
 	bisect_next_check fail
 
+	test -n "$*" || die "$(gettext "bisect run failed: no command provided.")"
+
 	while true
 	do
 		command="$@"
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help